# luxsci

LUXSCI
- API version: v2024.4.1
  - Build date: 2024-05-15T12:11:42.114266Z[Etc/UTC]

For a technical overview, see [LuxSci API Mechanics Guide](/rest-api/mechanics.html)  Return to [The API Guide](/rest-api.html)


*Automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen)*


## Requirements

The API client library requires:
1. Java 1.7+
2. Maven/Gradle

## Installation

Manually install the following JARs found in this directory:
* `luxsci-v2024.4.1.jar`
* `lib/*.jar`
## Authentication
The SDK looks for environment variables to handle authentication

| name          | description |
| :- | :- |
| `LUXSCI_TOKEN` | API Token (required) |
| `LUXSCI_KEY` | API Key (required) |
| `LUXSCI_USER` | If you are authenticating into "user" scope with an explicit username and password, include the login email address of the user in question. E.g. "joe@domain.com" |
| `LUXSCI_PASS` | If you are authenticating into "user" scope with an explicit username and password, include the plain text password for the user. |

If variables marked required are not present, the SDK will not proceed.


## Getting Started

Please follow the [installation](#installation) instruction and execute the following Java code:

```java
import com.luxsci.*;
import com.luxsci.auth.*;
import com.luxsci.model.*;
import com.luxsci.api.AuthenticationApi;

import java.io.File;
import java.util.*;

public class AuthenticationApiExample {

    public static void main(String[] args) {

        AuthenticationApi apiInstance = new AuthenticationApi();
        try {
	    InlineResponse201 result = apiInstance.authentication("SECRET", "TOKEN");
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling AuthenticationApi#authentication");
            e.printStackTrace();
        }
    }
}


import com.luxsci.*;
import com.luxsci.auth.*;
import com.luxsci.model.*;
import com.luxsci.api.AuthenticationApi;

import java.io.File;
import java.util.*;

public class AuthenticationApiExample {

    public static void main(String[] args) {
        
        AuthenticationApi apiInstance = new AuthenticationApi();
        String cookie = null; // String (optional. can leave as null) | 
        try {
            InlineResponse200 result = apiInstance.revokeAuthentication(cookie);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling AuthenticationApi#revokeAuthentication");
            e.printStackTrace();
        }
    }
}
```

## File Attachments
The SDK's [EmailSendingApi.sendEmail](docs/EmailSendingApi.md#sendemail) and [EmailSendingApi.SendSecureEmailOrSecureText](docs/EmailSendingApi.md#sendsecureemailorsecuretext) methods include an optional `attachments` field similar to what is required by the REST API. For the SDK however, you only need to provide a string path that points to the location of the file on local disk you would like to attach.

## Documentation for API Endpoints

All URIs are relative to *https://rest.luxsci.com/perl/api/v2* unless a custom API hostname is specfied. To add a custom hostname, provide a string to the `setHostname` method of `Configuration`:
```java
import com.luxsci.*;
import com.luxsci.auth.*;
import com.luxsci.model.*;
import com.luxsci.api.UsersApi

public class Example {

    public static void main(String[] args) {
        Configuration.setHostname("example.com"); //SDK will use https://example.com/perl/api/v2
        UsersApi apiInstance = new UsersApi()
        try {
            InlineResponse201 result = apiInstance.GetUser("admin@testapi.trial6.luxsci.net");
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling UsersApi#GetUser");
            e.printStackTrace();
        }
    }
}
```


Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AuthenticationApi* | [**authentication**](docs/AuthenticationApi.md#authentication) | **POST** /auth | 
*AuthenticationApi* | [**revokeAuthentication**](docs/AuthenticationApi.md#revokeAuthentication) | **DELETE** /auth | 
*ContentLibraryApi* | [**createContentLibraryDirectory**](docs/ContentLibraryApi.md#createContentLibraryDirectory) | **PUT** /user/{username}/content_library/{directory} | 
*ContentLibraryApi* | [**deleteContentLibraryDirectory**](docs/ContentLibraryApi.md#deleteContentLibraryDirectory) | **DELETE** /user/{username}/content_library/{directory} | 
*ContentLibraryApi* | [**deleteContentLibraryFile**](docs/ContentLibraryApi.md#deleteContentLibraryFile) | **DELETE** /user/{username}/content_library/{file_path} | 
*ContentLibraryApi* | [**getContentLibraryDirectory**](docs/ContentLibraryApi.md#getContentLibraryDirectory) | **GET** /user/{username}/content_library/{directory} | 
*ContentLibraryApi* | [**getContentLibraryFile**](docs/ContentLibraryApi.md#getContentLibraryFile) | **GET** /user/{username}/content_library/{file_path} | 
*ContentLibraryApi* | [**uploadContentLibraryFile**](docs/ContentLibraryApi.md#uploadContentLibraryFile) | **PUT** /user/{username}/content_library/{file_path} | 
*DomainsApi* | [**createDomain**](docs/DomainsApi.md#createDomain) | **POST** /account/{accountId}/domains | 
*DomainsApi* | [**deleteDomain**](docs/DomainsApi.md#deleteDomain) | **DELETE** /account/{accountId}/domains/{domainName} | 
*DomainsApi* | [**getDomainDetails**](docs/DomainsApi.md#getDomainDetails) | **GET** /account/{accountId}/domains/{domainName} | 
*DomainsApi* | [**getDomainsReport**](docs/DomainsApi.md#getDomainsReport) | **GET** /account/{accountId}/domains | 
*DomainsApi* | [**updateDomain**](docs/DomainsApi.md#updateDomain) | **PUT** /account/{accountId}/domains/{domainName} | 
*EmailApi* | [**createCustomBounceDomain**](docs/EmailApi.md#createCustomBounceDomain) | **POST** /account/{accountId}/bounce_domain | 
*EmailApi* | [**createDkim**](docs/EmailApi.md#createDkim) | **POST** /account/{accountId}/dkim | 
*EmailApi* | [**deleteDkim**](docs/EmailApi.md#deleteDkim) | **DELETE** /account/{accountId}/dkim/{domainName} | 
*EmailApi* | [**deleteEmailAutoResponder**](docs/EmailApi.md#deleteEmailAutoResponder) | **DELETE** /user/{username}/email/ar/{id} | 
*EmailApi* | [**getDkimDetails**](docs/EmailApi.md#getDkimDetails) | **GET** /account/{accountId}/dkim/{domainName} | 
*EmailApi* | [**getDkimReport**](docs/EmailApi.md#getDkimReport) | **GET** /account/{accountId}/dkim | 
*EmailApi* | [**getEmailAutoResponders**](docs/EmailApi.md#getEmailAutoResponders) | **GET** /user/{username}/email/ar | 
*EmailApi* | [**newEmailAutoResponder**](docs/EmailApi.md#newEmailAutoResponder) | **POST** /user/{username}/email/ar | 
*EmailApi* | [**retrieveSecureLineRecipientListEncryptionData**](docs/EmailApi.md#retrieveSecureLineRecipientListEncryptionData) | **POST** /user/{username}/email/compose/secureline/recipients | 
*EmailApi* | [**updateEmailForwarding**](docs/EmailApi.md#updateEmailForwarding) | **PUT** /user/{username}/email/forwarding | 
*EmailAliasesApi* | [**createAlias**](docs/EmailAliasesApi.md#createAlias) | **POST** /account/{accountId}/aliases | 
*EmailAliasesApi* | [**deleteAlias**](docs/EmailAliasesApi.md#deleteAlias) | **DELETE** /account/{accountId}/aliases/{aliasAddress} | 
*EmailAliasesApi* | [**getAliasDetails**](docs/EmailAliasesApi.md#getAliasDetails) | **GET** /account/{accountId}/aliases/{aliasAddress} | 
*EmailAliasesApi* | [**getAliasesReport**](docs/EmailAliasesApi.md#getAliasesReport) | **GET** /account/{accountId}/aliases | 
*EmailAliasesApi* | [**updateAlias**](docs/EmailAliasesApi.md#updateAlias) | **PUT** /account/{accountId}/aliases/{aliasAddress} | 
*EmailSendingApi* | [**createAccountSuppression**](docs/EmailSendingApi.md#createAccountSuppression) | **PUT** /account/{accountId}/suppression/ | 
*EmailSendingApi* | [**createCustomField**](docs/EmailSendingApi.md#createCustomField) | **PUT** /user/{username}/fields | 
*EmailSendingApi* | [**createEmailContentTag**](docs/EmailSendingApi.md#createEmailContentTag) | **PUT** /user/{username}/content_tags | 
*EmailSendingApi* | [**createEmailTemplate**](docs/EmailSendingApi.md#createEmailTemplate) | **PUT** /user/{username}/templates | 
*EmailSendingApi* | [**createEmailTemplateGroup**](docs/EmailSendingApi.md#createEmailTemplateGroup) | **PUT** /user/{username}/template_group/{template_group_id} | 
*EmailSendingApi* | [**createUserSuppression**](docs/EmailSendingApi.md#createUserSuppression) | **PUT** /user/{username}/suppression/ | 
*EmailSendingApi* | [**deleteAccountSuppression**](docs/EmailSendingApi.md#deleteAccountSuppression) | **DELETE** /account/{accountId}/suppression/{email} | 
*EmailSendingApi* | [**deleteEmailContentTag**](docs/EmailSendingApi.md#deleteEmailContentTag) | **DELETE** /user/{username}/content_tags/{tag_id} | 
*EmailSendingApi* | [**deleteEmailTemplate**](docs/EmailSendingApi.md#deleteEmailTemplate) | **DELETE** /user/{username}/template/{template_id} | 
*EmailSendingApi* | [**deleteEmailTemplateGroup**](docs/EmailSendingApi.md#deleteEmailTemplateGroup) | **DELETE** /user/{username}/template_group/{template_group_id} | 
*EmailSendingApi* | [**deleteUserSuppression**](docs/EmailSendingApi.md#deleteUserSuppression) | **DELETE** /user/{username}/suppression/{email} | 
*EmailSendingApi* | [**getAccountSuppression**](docs/EmailSendingApi.md#getAccountSuppression) | **GET** /account/{accountId}/suppression/{email} | 
*EmailSendingApi* | [**getAccountSuppressionList**](docs/EmailSendingApi.md#getAccountSuppressionList) | **GET** /account/{accountId}/suppression/ | 
*EmailSendingApi* | [**getCustomFields**](docs/EmailSendingApi.md#getCustomFields) | **GET** /user/{username}/fields | 
*EmailSendingApi* | [**getDomainSmtpTlsCapability**](docs/EmailSendingApi.md#getDomainSmtpTlsCapability) | **GET** /user/{username}/email/compose/secureline/tls/{domain} | 
*EmailSendingApi* | [**getEmailContentTag**](docs/EmailSendingApi.md#getEmailContentTag) | **GET** /user/{username}/content_tags/{tag_id} | 
*EmailSendingApi* | [**getEmailContentTagList**](docs/EmailSendingApi.md#getEmailContentTagList) | **GET** /user/{username}/content_tags | 
*EmailSendingApi* | [**getEmailTemplate**](docs/EmailSendingApi.md#getEmailTemplate) | **GET** /user/{username}/template/{template_id} | 
*EmailSendingApi* | [**getEmailTemplateGroups**](docs/EmailSendingApi.md#getEmailTemplateGroups) | **GET** /user/{username}/template_groups | 
*EmailSendingApi* | [**getEmailTemplateList**](docs/EmailSendingApi.md#getEmailTemplateList) | **GET** /user/{username}/templates | 
*EmailSendingApi* | [**getUserSuppression**](docs/EmailSendingApi.md#getUserSuppression) | **GET** /user/{username}/suppression/{email} | 
*EmailSendingApi* | [**getUserSuppressionList**](docs/EmailSendingApi.md#getUserSuppressionList) | **GET** /user/{username}/suppression/ | 
*EmailSendingApi* | [**sendEmail**](docs/EmailSendingApi.md#sendEmail) | **POST** /user/{username}/email/send | 
*EmailSendingApi* | [**sendSecureEmailOrSecureText**](docs/EmailSendingApi.md#sendSecureEmailOrSecureText) | **POST** /user/{username}/email/compose/secureline/send | 
*EmailSendingApi* | [**updateEmailContentTag**](docs/EmailSendingApi.md#updateEmailContentTag) | **POST** /user/{username}/content_tags/{tag_id} | 
*EmailSendingApi* | [**updateEmailTemplate**](docs/EmailSendingApi.md#updateEmailTemplate) | **POST** /user/{username}/template/{template_id} | 
*EmailSendingApi* | [**updateEmailTemplateGroup**](docs/EmailSendingApi.md#updateEmailTemplateGroup) | **POST** /user/{username}/template_group/{template_group_id} | 
*MarketingApi* | [**addMarketingCampaign**](docs/MarketingApi.md#addMarketingCampaign) | **POST** /account/{accountId}/marketing/addCampaign | 
*MarketingApi* | [**addMarketingContact**](docs/MarketingApi.md#addMarketingContact) | **POST** /account/{accountId}/marketing/addContact | 
*MarketingApi* | [**addMarketingContacts**](docs/MarketingApi.md#addMarketingContacts) | **POST** /account/{accountId}/marketing/addContacts | 
*MarketingApi* | [**addMarketingList**](docs/MarketingApi.md#addMarketingList) | **POST** /account/{accountId}/marketing/addList | 
*MarketingApi* | [**addNewMarketingSuppression**](docs/MarketingApi.md#addNewMarketingSuppression) | **POST** /account/{accountId}/marketing/suppress | 
*MarketingApi* | [**deleteMarketingCampaign**](docs/MarketingApi.md#deleteMarketingCampaign) | **DELETE** /account/{accountId}/marketing/deleteCampaign/{id} | 
*MarketingApi* | [**deleteMarketingContactById**](docs/MarketingApi.md#deleteMarketingContactById) | **DELETE** /account/{accountId}/marketing/deleteContact/{id} | 
*MarketingApi* | [**deleteMarketingList**](docs/MarketingApi.md#deleteMarketingList) | **DELETE** /account/{accountId}/marketing/deleteList/{id} | 
*MarketingApi* | [**deleteMarketingListGroup**](docs/MarketingApi.md#deleteMarketingListGroup) | **DELETE** /account/{accountId}/deleteListGroup/{id} | 
*MarketingApi* | [**deleteMarketingSuppression**](docs/MarketingApi.md#deleteMarketingSuppression) | **DELETE** /account/{accountId}/marketing/deleteSuppressed/{type} | 
*MarketingApi* | [**getMarketingCampaignBouncedStatistics**](docs/MarketingApi.md#getMarketingCampaignBouncedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsBounced/{schedule_id} | 
*MarketingApi* | [**getMarketingCampaignClickedStatistics**](docs/MarketingApi.md#getMarketingCampaignClickedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsClicked/{schedule_id} | 
*MarketingApi* | [**getMarketingCampaignGroups**](docs/MarketingApi.md#getMarketingCampaignGroups) | **GET** /account/{accountId}/marketing/getMarketingCampaignGroups | 
*MarketingApi* | [**getMarketingCampaignOpenedStatistics**](docs/MarketingApi.md#getMarketingCampaignOpenedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsOpened/{schedule_id} | 
*MarketingApi* | [**getMarketingCampaignStatisticsSummary**](docs/MarketingApi.md#getMarketingCampaignStatisticsSummary) | **GET** /account/{accountId}/marketing/getCampaignStatsSummary/{schedule_id} | 
*MarketingApi* | [**getMarketingCampaignUnsubscribedStatistics**](docs/MarketingApi.md#getMarketingCampaignUnsubscribedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsUnsubscribed/{schedule_id} | 
*MarketingApi* | [**getMarketingCampaigns**](docs/MarketingApi.md#getMarketingCampaigns) | **GET** /account/{accountId}/marketing/getCampaigns | 
*MarketingApi* | [**getMarketingContactById**](docs/MarketingApi.md#getMarketingContactById) | **GET** /account/{accountId}/marketing/getContact/{id} | 
*MarketingApi* | [**getMarketingContacts**](docs/MarketingApi.md#getMarketingContacts) | **GET** /account/{accountId}/marketing/getContacts | 
*MarketingApi* | [**getMarketingListGroups**](docs/MarketingApi.md#getMarketingListGroups) | **GET** /account/{accountId}/marketing/getMarketingListGroups | 
*MarketingApi* | [**getMarketingLists**](docs/MarketingApi.md#getMarketingLists) | **GET** /account/{accountId}/marketing/getLists | 
*MarketingApi* | [**getMarketingScheduledCampaigns**](docs/MarketingApi.md#getMarketingScheduledCampaigns) | **GET** /account/{accountId}/marketing/getMarketingScheduledCampaigns | 
*MarketingApi* | [**getMarketingSuppressions**](docs/MarketingApi.md#getMarketingSuppressions) | **GET** /account/{accountId}/marketing/getSuppressed | 
*MarketingApi* | [**markContactAsUnsubscribed**](docs/MarketingApi.md#markContactAsUnsubscribed) | **PUT** /account/{accountId}/markAsUnsubscribed/{id} | 
*MarketingApi* | [**scheduleMarketingCampaign**](docs/MarketingApi.md#scheduleMarketingCampaign) | **POST** /account/{accountId}/marketing/campaignSchedule | 
*MarketingApi* | [**updateMarketingCampaign**](docs/MarketingApi.md#updateMarketingCampaign) | **PUT** /account/{accountId}/marketing/updateCampaign/{id} | 
*MarketingApi* | [**updateMarketingContactByEmail**](docs/MarketingApi.md#updateMarketingContactByEmail) | **PUT** /account/{accountId}/marketing/updateContact/{email} | 
*MarketingApi* | [**updateMarketingContactById**](docs/MarketingApi.md#updateMarketingContactById) | **PUT** /account/{accountId}/marketing/updateContact/{id} | 
*MarketingApi* | [**updateMarketingList**](docs/MarketingApi.md#updateMarketingList) | **PUT** /account/{accountId}/marketing/updateList/{id} | 
*Marketing3Api* | [**addCampaign**](docs/Marketing3Api.md#addCampaign) | **POST** /user/{username}/marketing/campaigns | 
*Marketing3Api* | [**addContact**](docs/Marketing3Api.md#addContact) | **POST** /user/{username}/marketing/contact | 
*Marketing3Api* | [**addContacts**](docs/Marketing3Api.md#addContacts) | **POST** /user/{username}/marketing/contacts | 
*Marketing3Api* | [**addList**](docs/Marketing3Api.md#addList) | **POST** /user/{username}/marketing/list | 
*Marketing3Api* | [**addListGroup**](docs/Marketing3Api.md#addListGroup) | **PUT** /user/{username}/marketing/list_group/{list_group_id} | 
*Marketing3Api* | [**deleteCampaign**](docs/Marketing3Api.md#deleteCampaign) | **DELETE** /user/{username}/marketing/campaign/{campaign_id} | 
*Marketing3Api* | [**deleteContact**](docs/Marketing3Api.md#deleteContact) | **DELETE** /user/{username}/marketing/contact/{contact_id} | 
*Marketing3Api* | [**deleteList**](docs/Marketing3Api.md#deleteList) | **DELETE** /user/{username}/marketing/list/{list_id} | 
*Marketing3Api* | [**deleteListGroup**](docs/Marketing3Api.md#deleteListGroup) | **DELETE** /user/{username}/marketing/list_group/{list_group_id} | 
*Marketing3Api* | [**getCampaign**](docs/Marketing3Api.md#getCampaign) | **GET** /user/{username}/marketing/campaign/{campaign_id} | 
*Marketing3Api* | [**getCampaigns**](docs/Marketing3Api.md#getCampaigns) | **GET** /user/{username}/marketing/campaigns | 
*Marketing3Api* | [**getContact**](docs/Marketing3Api.md#getContact) | **GET** /user/{username}/marketing/contact/{contact_id} | 
*Marketing3Api* | [**getContacts**](docs/Marketing3Api.md#getContacts) | **GET** /user/{username}/marketing/contacts | 
*Marketing3Api* | [**getList**](docs/Marketing3Api.md#getList) | **GET** /user/{username}/marketing/list/{list_id} | 
*Marketing3Api* | [**getListGroups**](docs/Marketing3Api.md#getListGroups) | **GET** /user/{username}/marketing/list_groups | 
*Marketing3Api* | [**getLists**](docs/Marketing3Api.md#getLists) | **GET** /user/{username}/marketing/lists | 
*Marketing3Api* | [**getReportBounced**](docs/Marketing3Api.md#getReportBounced) | **GET** /user/{username}/marketing/report/bounced | 
*Marketing3Api* | [**getReportClicked**](docs/Marketing3Api.md#getReportClicked) | **GET** /user/{username}/marketing/report/clicked | 
*Marketing3Api* | [**getReportComplaints**](docs/Marketing3Api.md#getReportComplaints) | **GET** /user/{username}/marketing/report/complaints | 
*Marketing3Api* | [**getReportLogs**](docs/Marketing3Api.md#getReportLogs) | **GET** /user/{username}/marketing/report/logs | 
*Marketing3Api* | [**getReportOpened**](docs/Marketing3Api.md#getReportOpened) | **GET** /user/{username}/marketing/report/opened | 
*Marketing3Api* | [**getReportUnsubscribed**](docs/Marketing3Api.md#getReportUnsubscribed) | **GET** /user/{username}/marketing/report/unsubscribed | 
*Marketing3Api* | [**getReportUrls**](docs/Marketing3Api.md#getReportUrls) | **GET** /user/{username}/marketing/report/urls | 
*Marketing3Api* | [**updateCampaign**](docs/Marketing3Api.md#updateCampaign) | **PUT** /user/{username}/marketing/campaign/{campaign_id} | 
*Marketing3Api* | [**updateContact**](docs/Marketing3Api.md#updateContact) | **PUT** /user/{username}/marketing/contact/{contact_id} | 
*Marketing3Api* | [**updateList**](docs/Marketing3Api.md#updateList) | **PUT** /user/{username}/marketing/list/{list_id} | 
*Marketing3Api* | [**updateListGroup**](docs/Marketing3Api.md#updateListGroup) | **POST** /user/{username}/marketing/list_group/{list_group_id} | 
*ReportsApi* | [**getAccountJob**](docs/ReportsApi.md#getAccountJob) | **GET** /account/{accountId}/job/{job_id} | 
*ReportsApi* | [**getAccountJobs**](docs/ReportsApi.md#getAccountJobs) | **GET** /account/{accountId}/jobs | 
*ReportsApi* | [**getAccountSuppressionReport**](docs/ReportsApi.md#getAccountSuppressionReport) | **GET** /account/{accountId}/suppression_v2/ | 
*ReportsApi* | [**getAccountSuppressionSummaryReport**](docs/ReportsApi.md#getAccountSuppressionSummaryReport) | **GET** /account/{accountId}/suppression_count/ | 
*ReportsApi* | [**getEmailFeedBackLoopsReportAccount**](docs/ReportsApi.md#getEmailFeedBackLoopsReportAccount) | **GET** /account/{accountId}/report/email/fbl | 
*ReportsApi* | [**getEmailFeedBackLoopsSummaryReportAccount**](docs/ReportsApi.md#getEmailFeedBackLoopsSummaryReportAccount) | **GET** /account/{accountId}/report/email/fbl_count | 
*ReportsApi* | [**getEmailSMTPClickReportAccount**](docs/ReportsApi.md#getEmailSMTPClickReportAccount) | **GET** /account/{accountId}/report/email/smtp/clicks | 
*ReportsApi* | [**getEmailSMTPClickSummaryReportAccount**](docs/ReportsApi.md#getEmailSMTPClickSummaryReportAccount) | **GET** /account/{accountId}/report/email/smtp/clicks_count | 
*ReportsApi* | [**getEmailSMTPDeliveryStatusReportAccount**](docs/ReportsApi.md#getEmailSMTPDeliveryStatusReportAccount) | **GET** /account/{accountId}/report/email/smtp/delivery | 
*ReportsApi* | [**getEmailSMTPDeliveryStatusSummaryReportAccount**](docs/ReportsApi.md#getEmailSMTPDeliveryStatusSummaryReportAccount) | **GET** /account/{accountId}/report/email/smtp/delivery_count | 
*ReportsApi* | [**getEmailSMTPOpenReportAccount**](docs/ReportsApi.md#getEmailSMTPOpenReportAccount) | **GET** /account/{accountId}/report/email/smtp/opens | 
*ReportsApi* | [**getEmailSMTPOpenSummaryReportAccount**](docs/ReportsApi.md#getEmailSMTPOpenSummaryReportAccount) | **GET** /account/{accountId}/report/email/smtp/opens_count | 
*ReportsApi* | [**getEmailSMTPSentReportAccount**](docs/ReportsApi.md#getEmailSMTPSentReportAccount) | **GET** /account/{accountId}/report/email/smtp/sent | 
*ReportsApi* | [**getEmailSMTPTempFailReportAccount**](docs/ReportsApi.md#getEmailSMTPTempFailReportAccount) | **GET** /account/{accountId}/report/email/smtp/temp_fail | 
*ReportsApi* | [**getEmailWebMailClickReportAccount**](docs/ReportsApi.md#getEmailWebMailClickReportAccount) | **GET** /account/{accountId}/report/email/webmail/clicks | 
*ReportsApi* | [**getEmailWebMailDeliveryStatusReportAccount**](docs/ReportsApi.md#getEmailWebMailDeliveryStatusReportAccount) | **GET** /account/{accountId}/report/email/webmail/delivery | 
*ReportsApi* | [**getEmailWebMailOpenReportAccount**](docs/ReportsApi.md#getEmailWebMailOpenReportAccount) | **GET** /account/{accountId}/report/email/webmail/opens | 
*ReportsApi* | [**getEmailWebMailSentReportAccount**](docs/ReportsApi.md#getEmailWebMailSentReportAccount) | **GET** /account/{accountId}/report/email/webmail/sent | 
*ReportsApi* | [**getSMTPLoginFailureReportAccount**](docs/ReportsApi.md#getSMTPLoginFailureReportAccount) | **GET** /account/{accountId}/report/login_fail/smtp | 
*SecureFormApi* | [**deleteSecureFormDatabaseFile**](docs/SecureFormApi.md#deleteSecureFormDatabaseFile) | **DELETE** /account/{accountId}/secureforms/{formID}/db/{rowIndex}/file/{fileIndex} | 
*SecureFormApi* | [**deleteSecureFormDatabaseRow**](docs/SecureFormApi.md#deleteSecureFormDatabaseRow) | **DELETE** /account/{accountId}/secureforms/{formID}/db/rows/{index} | 
*SecureFormApi* | [**getSecureForm**](docs/SecureFormApi.md#getSecureForm) | **GET** /account/{accountId}/secureforms/{formID} | 
*SecureFormApi* | [**getSecureFormDatabaseFile**](docs/SecureFormApi.md#getSecureFormDatabaseFile) | **GET** /account/{accountId}/secureforms/{formID}/db/{rowIndex}/file/{fileIndex} | 
*SecureFormApi* | [**getSecureFormDatabasePosts**](docs/SecureFormApi.md#getSecureFormDatabasePosts) | **GET** /account/{accountId}/secureforms/{formID}/db | 
*SecureFormApi* | [**getSecureFormDatabaseRow**](docs/SecureFormApi.md#getSecureFormDatabaseRow) | **GET** /account/{accountId}/secureforms/{formID}/db/rows/{index} | 
*SecureFormApi* | [**getSecureFormDatabaseRows**](docs/SecureFormApi.md#getSecureFormDatabaseRows) | **GET** /account/{accountId}/secureforms/{formID}/db/rows | 
*SecureFormApi* | [**getSecureFormList**](docs/SecureFormApi.md#getSecureFormList) | **GET** /account/{accountId}/secureforms | 
*SecureSendApi* | [**changeSecureSendUserPassword**](docs/SecureSendApi.md#changeSecureSendUserPassword) | **PUT** /account/{accountId}/pl/namespaces/{namespaceId}/users/{username}/password | 
*SecureSendApi* | [**createOrUpdateSecureSendUser**](docs/SecureSendApi.md#createOrUpdateSecureSendUser) | **PUT** /account/{accountId}/pl/namespaces/{namespaceId}/users/{username} | 
*SecureSendApi* | [**getSecureSendUserList**](docs/SecureSendApi.md#getSecureSendUserList) | **GET** /account/{accountId}/pl/namespaces/{namespaceId}/users | 
*SecureSendApi* | [**getSecureSendUserSingleSignOnLink**](docs/SecureSendApi.md#getSecureSendUserSingleSignOnLink) | **GET** /account/{accountId}/pl/namespaces/{namespaceId}/users/{username}/password | 
*ServersApi* | [**getServerStatus**](docs/ServersApi.md#getServerStatus) | **GET** /account/{accountId}/server/{serverId} | 
*ServersApi* | [**getServers**](docs/ServersApi.md#getServers) | **GET** /account/{accountId}/servers | 
*ServersApi* | [**serverEmptyAllEmailQueues**](docs/ServersApi.md#serverEmptyAllEmailQueues) | **DELETE** /account/{accountId}/server/{serverId}/sending_queues/all | 
*ServersApi* | [**serverEmptyEmailQueues**](docs/ServersApi.md#serverEmptyEmailQueues) | **DELETE** /account/{accountId}/server/{serverId}/sending_queues | 
*ServersApi* | [**setServerSendngRate**](docs/ServersApi.md#setServerSendngRate) | **POST** /account/{accountId}/server/{serverId}/sending_rate | 
*UserReportsApi* | [**getEmailFeedBackLoopsReportUser**](docs/UserReportsApi.md#getEmailFeedBackLoopsReportUser) | **GET** /user/{username}/report/email/fbl | 
*UserReportsApi* | [**getEmailFeedBackLoopsSummaryReportUser**](docs/UserReportsApi.md#getEmailFeedBackLoopsSummaryReportUser) | **GET** /user/{username}/report/email/fbl_count | 
*UserReportsApi* | [**getEmailSMTPClickReportUser**](docs/UserReportsApi.md#getEmailSMTPClickReportUser) | **GET** /user/{username}/report/email/smtp/clicks | 
*UserReportsApi* | [**getEmailSMTPClickSummaryReportUser**](docs/UserReportsApi.md#getEmailSMTPClickSummaryReportUser) | **GET** /user/{username}/report/email/smtp/clicks_count | 
*UserReportsApi* | [**getEmailSMTPDeliveryStatusReportUser**](docs/UserReportsApi.md#getEmailSMTPDeliveryStatusReportUser) | **GET** /user/{username}/report/email/smtp/delivery | 
*UserReportsApi* | [**getEmailSMTPDeliveryStatusSummaryReportUser**](docs/UserReportsApi.md#getEmailSMTPDeliveryStatusSummaryReportUser) | **GET** /user/{username}/report/email/smtp/delivery_count | 
*UserReportsApi* | [**getEmailSMTPLoginFailureReportUser**](docs/UserReportsApi.md#getEmailSMTPLoginFailureReportUser) | **GET** /user/{username}/report/login_fail/smtp | 
*UserReportsApi* | [**getEmailSMTPOpenReportUser**](docs/UserReportsApi.md#getEmailSMTPOpenReportUser) | **GET** /user/{username}/report/email/smtp/opens | 
*UserReportsApi* | [**getEmailSMTPOpenSummaryReportUser**](docs/UserReportsApi.md#getEmailSMTPOpenSummaryReportUser) | **GET** /user/{username}/report/email/smtp/opens_count | 
*UserReportsApi* | [**getEmailSMTPSentReportUser**](docs/UserReportsApi.md#getEmailSMTPSentReportUser) | **GET** /user/{username}/report/email/smtp/sent | 
*UserReportsApi* | [**getEmailSMTPTempFailReportUser**](docs/UserReportsApi.md#getEmailSMTPTempFailReportUser) | **GET** /user/{username}/report/email/smtp/temp_fail | 
*UserReportsApi* | [**getEmailWebMailClickReportUser**](docs/UserReportsApi.md#getEmailWebMailClickReportUser) | **GET** /user/{username}/report/email/webmail/clicks | 
*UserReportsApi* | [**getEmailWebMailDeliveryStatusReportUser**](docs/UserReportsApi.md#getEmailWebMailDeliveryStatusReportUser) | **GET** /user/{username}/report/email/webmail/delivery | 
*UserReportsApi* | [**getEmailWebMailOpenReportUser**](docs/UserReportsApi.md#getEmailWebMailOpenReportUser) | **GET** /user/{username}/report/email/webmail/opens | 
*UserReportsApi* | [**getEmailWebMailSentReportUser**](docs/UserReportsApi.md#getEmailWebMailSentReportUser) | **GET** /user/{username}/report/email/webmail/sent | 
*UserReportsApi* | [**getUserJob**](docs/UserReportsApi.md#getUserJob) | **GET** /user/{username}/job/{job_id} | 
*UserReportsApi* | [**getUserJobs**](docs/UserReportsApi.md#getUserJobs) | **GET** /user/{username}/jobs | 
*UserReportsApi* | [**getUserSuppressionReport**](docs/UserReportsApi.md#getUserSuppressionReport) | **GET** /user/{username}/suppression_v2/ | 
*UserReportsApi* | [**getUserSuppressionSummaryReport**](docs/UserReportsApi.md#getUserSuppressionSummaryReport) | **GET** /user/{username}/suppression_count/ | 
*UsersApi* | [**changeUserPassword**](docs/UsersApi.md#changeUserPassword) | **PUT** /user/{username}/password | 
*UsersApi* | [**createAppSpecificPassword**](docs/UsersApi.md#createAppSpecificPassword) | **POST** /user/{username}/app-password/{suffix} | 
*UsersApi* | [**createUser**](docs/UsersApi.md#createUser) | **POST** /account/{accountId}/users | 
*UsersApi* | [**deleteAppSpecificPassword**](docs/UsersApi.md#deleteAppSpecificPassword) | **DELETE** /user/{username}/app-password/{suffix} | 
*UsersApi* | [**deleteUser**](docs/UsersApi.md#deleteUser) | **DELETE** /account/{accountId}/users/{username} | 
*UsersApi* | [**getTimeZonesList**](docs/UsersApi.md#getTimeZonesList) | **GET** /user/{username}/settings/timezones | 
*UsersApi* | [**getUser**](docs/UsersApi.md#getUser) | **GET** /user/{username} | 
*UsersApi* | [**getUserBrandingInformation**](docs/UsersApi.md#getUserBrandingInformation) | **GET** /user/{username}/branding | 
*UsersApi* | [**getUserProfile**](docs/UsersApi.md#getUserProfile) | **GET** /user/{username}/profile | 
*UsersApi* | [**getUserReport**](docs/UsersApi.md#getUserReport) | **GET** /account/{accountId}/users | 
*UsersApi* | [**getUserReport2**](docs/UsersApi.md#getUserReport2) | **GET** /account/{accountId}/users/report | 
*UsersApi* | [**getUserSettings**](docs/UsersApi.md#getUserSettings) | **GET** /user/{username}/settings | 
*UsersApi* | [**getUserSingleSignOnLoginURL**](docs/UsersApi.md#getUserSingleSignOnLoginURL) | **GET** /user/{username}/password | 
*UsersApi* | [**getUserSummaryReport**](docs/UsersApi.md#getUserSummaryReport) | **GET** /account/{accountId}/users/report_count | 
*UsersApi* | [**listAllAppSpecificPassword**](docs/UsersApi.md#listAllAppSpecificPassword) | **GET** /user/{username}/app-password | 
*UsersApi* | [**listAppSpecificPasswords**](docs/UsersApi.md#listAppSpecificPasswords) | **GET** /user/{username}/app-password/{suffix} | 
*UsersApi* | [**renameUser**](docs/UsersApi.md#renameUser) | **POST** /account/{accountId}/users/{username}/rename | 
*UsersApi* | [**updateUser**](docs/UsersApi.md#updateUser) | **PUT** /user/{username} | 
*UsersApi* | [**updateUserProfile**](docs/UsersApi.md#updateUserProfile) | **PUT** /user/{username}/profile | 
*UsersApi* | [**updateUserSettings**](docs/UsersApi.md#updateUserSettings) | **PUT** /account/{accountId}/users/{username} | 
*WebAidesApi* | [**addUpdateWebAideEntries**](docs/WebAidesApi.md#addUpdateWebAideEntries) | **POST** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries/import | 
*WebAidesApi* | [**deleteWebAide**](docs/WebAidesApi.md#deleteWebAide) | **DELETE** /user/{username}/webaides/{webaide_type}/{webaide_id} | 
*WebAidesApi* | [**deleteWebAideEntries**](docs/WebAidesApi.md#deleteWebAideEntries) | **POST** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries/delete | 
*WebAidesApi* | [**deleteWebAideEntry**](docs/WebAidesApi.md#deleteWebAideEntry) | **DELETE** /user/{username}/webaides/{webaide_type}/{webaide_id}/{entry_id} | 
*WebAidesApi* | [**getCalendarEntriesDateRange**](docs/WebAidesApi.md#getCalendarEntriesDateRange) | **GET** /user/{username}/webaides/calendar/{webaide_id}/entries/date_range | 
*WebAidesApi* | [**getWebAide**](docs/WebAidesApi.md#getWebAide) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id} | 
*WebAidesApi* | [**getWebAideChanges**](docs/WebAidesApi.md#getWebAideChanges) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries/changes | 
*WebAidesApi* | [**getWebAideEntries**](docs/WebAidesApi.md#getWebAideEntries) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries | 
*WebAidesApi* | [**getWebAideEntry**](docs/WebAidesApi.md#getWebAideEntry) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id}/{entry_id} | 
*WebAidesApi* | [**getWebAides**](docs/WebAidesApi.md#getWebAides) | **GET** /user/{username}/webaides/{webaide_type} | 
*WebAidesApi* | [**newWebAide**](docs/WebAidesApi.md#newWebAide) | **POST** /user/{username}/webaides/{webaide_type} | 
*WebAidesApi* | [**newWebAideEntry**](docs/WebAidesApi.md#newWebAideEntry) | **POST** /user/{username}/webaides/{webaide_type}/{webaide_id} | 
*WebAidesApi* | [**updateWebAideEntry**](docs/WebAidesApi.md#updateWebAideEntry) | **PUT** /user/{username}/webaides/{webaide_type}/{webaide_id}/{entry_id} | 

## Documentation for Models

 - [AccountIdAliasesBody](docs/AccountIdAliasesBody.md)
 - [AccountIdBounceDomainBody](docs/AccountIdBounceDomainBody.md)
 - [AccountIdDkimBody](docs/AccountIdDkimBody.md)
 - [AccountIdDomainsBody](docs/AccountIdDomainsBody.md)
 - [AccountIdUsersBody](docs/AccountIdUsersBody.md)
 - [AccountaccountIdaliasesAliases](docs/AccountaccountIdaliasesAliases.md)
 - [Alias](docs/Alias.md)
 - [AliasesAliasAddressBody](docs/AliasesAliasAddressBody.md)
 - [AllOfinlineResponse20075Data](docs/AllOfinlineResponse20075Data.md)
 - [AnyOfinlineResponse20070DataRow](docs/AnyOfinlineResponse20070DataRow.md)
 - [ApppasswordSuffixBody](docs/ApppasswordSuffixBody.md)
 - [AuthBody](docs/AuthBody.md)
 - [Campaign](docs/Campaign.md)
 - [Contact](docs/Contact.md)
 - [ContentLibraryFilePathBody](docs/ContentLibraryFilePathBody.md)
 - [ContentLibraryMeta](docs/ContentLibraryMeta.md)
 - [ContentTag](docs/ContentTag.md)
 - [DkimReport](docs/DkimReport.md)
 - [DomainReport](docs/DomainReport.md)
 - [DomainsDomainNameBody](docs/DomainsDomainNameBody.md)
 - [EmailArBody](docs/EmailArBody.md)
 - [EmailForwardingBody](docs/EmailForwardingBody.md)
 - [EmailSendBody](docs/EmailSendBody.md)
 - [EmailSendBody1](docs/EmailSendBody1.md)
 - [EntriesDeleteBody](docs/EntriesDeleteBody.md)
 - [EntriesImportBody](docs/EntriesImportBody.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse20010](docs/InlineResponse20010.md)
 - [InlineResponse20010Data](docs/InlineResponse20010Data.md)
 - [InlineResponse20011](docs/InlineResponse20011.md)
 - [InlineResponse20011Data](docs/InlineResponse20011Data.md)
 - [InlineResponse20012](docs/InlineResponse20012.md)
 - [InlineResponse20013](docs/InlineResponse20013.md)
 - [InlineResponse20013Data](docs/InlineResponse20013Data.md)
 - [InlineResponse20014](docs/InlineResponse20014.md)
 - [InlineResponse20014Data](docs/InlineResponse20014Data.md)
 - [InlineResponse20015](docs/InlineResponse20015.md)
 - [InlineResponse20015Data](docs/InlineResponse20015Data.md)
 - [InlineResponse20016](docs/InlineResponse20016.md)
 - [InlineResponse20016Data](docs/InlineResponse20016Data.md)
 - [InlineResponse20017](docs/InlineResponse20017.md)
 - [InlineResponse20017Data](docs/InlineResponse20017Data.md)
 - [InlineResponse20018](docs/InlineResponse20018.md)
 - [InlineResponse20018Data](docs/InlineResponse20018Data.md)
 - [InlineResponse20019](docs/InlineResponse20019.md)
 - [InlineResponse20019Data](docs/InlineResponse20019Data.md)
 - [InlineResponse2001Data](docs/InlineResponse2001Data.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse20020](docs/InlineResponse20020.md)
 - [InlineResponse20020Data](docs/InlineResponse20020Data.md)
 - [InlineResponse20021](docs/InlineResponse20021.md)
 - [InlineResponse20022](docs/InlineResponse20022.md)
 - [InlineResponse20023](docs/InlineResponse20023.md)
 - [InlineResponse20023Data](docs/InlineResponse20023Data.md)
 - [InlineResponse20024](docs/InlineResponse20024.md)
 - [InlineResponse20024Data](docs/InlineResponse20024Data.md)
 - [InlineResponse20025](docs/InlineResponse20025.md)
 - [InlineResponse20025Data](docs/InlineResponse20025Data.md)
 - [InlineResponse20026](docs/InlineResponse20026.md)
 - [InlineResponse20026Data](docs/InlineResponse20026Data.md)
 - [InlineResponse20027](docs/InlineResponse20027.md)
 - [InlineResponse20027Data](docs/InlineResponse20027Data.md)
 - [InlineResponse20028](docs/InlineResponse20028.md)
 - [InlineResponse20028Data](docs/InlineResponse20028Data.md)
 - [InlineResponse20029](docs/InlineResponse20029.md)
 - [InlineResponse20029Data](docs/InlineResponse20029Data.md)
 - [InlineResponse2002Data](docs/InlineResponse2002Data.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse20030](docs/InlineResponse20030.md)
 - [InlineResponse20030Data](docs/InlineResponse20030Data.md)
 - [InlineResponse20031](docs/InlineResponse20031.md)
 - [InlineResponse20031Data](docs/InlineResponse20031Data.md)
 - [InlineResponse20032](docs/InlineResponse20032.md)
 - [InlineResponse20032Data](docs/InlineResponse20032Data.md)
 - [InlineResponse20033](docs/InlineResponse20033.md)
 - [InlineResponse20034](docs/InlineResponse20034.md)
 - [InlineResponse20035](docs/InlineResponse20035.md)
 - [InlineResponse20035Data](docs/InlineResponse20035Data.md)
 - [InlineResponse20036](docs/InlineResponse20036.md)
 - [InlineResponse20037](docs/InlineResponse20037.md)
 - [InlineResponse20037Data](docs/InlineResponse20037Data.md)
 - [InlineResponse20038](docs/InlineResponse20038.md)
 - [InlineResponse20038Data](docs/InlineResponse20038Data.md)
 - [InlineResponse20039](docs/InlineResponse20039.md)
 - [InlineResponse20039Data](docs/InlineResponse20039Data.md)
 - [InlineResponse20039DataContacts](docs/InlineResponse20039DataContacts.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse20040](docs/InlineResponse20040.md)
 - [InlineResponse20040Data](docs/InlineResponse20040Data.md)
 - [InlineResponse20041](docs/InlineResponse20041.md)
 - [InlineResponse20042](docs/InlineResponse20042.md)
 - [InlineResponse20042Data](docs/InlineResponse20042Data.md)
 - [InlineResponse20043](docs/InlineResponse20043.md)
 - [InlineResponse20044](docs/InlineResponse20044.md)
 - [InlineResponse20044Data](docs/InlineResponse20044Data.md)
 - [InlineResponse20045](docs/InlineResponse20045.md)
 - [InlineResponse20045Data](docs/InlineResponse20045Data.md)
 - [InlineResponse20046](docs/InlineResponse20046.md)
 - [InlineResponse20047](docs/InlineResponse20047.md)
 - [InlineResponse20048](docs/InlineResponse20048.md)
 - [InlineResponse20048Data](docs/InlineResponse20048Data.md)
 - [InlineResponse20049](docs/InlineResponse20049.md)
 - [InlineResponse2004Data](docs/InlineResponse2004Data.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse20050](docs/InlineResponse20050.md)
 - [InlineResponse20051](docs/InlineResponse20051.md)
 - [InlineResponse20052](docs/InlineResponse20052.md)
 - [InlineResponse20053](docs/InlineResponse20053.md)
 - [InlineResponse20053Data](docs/InlineResponse20053Data.md)
 - [InlineResponse20054](docs/InlineResponse20054.md)
 - [InlineResponse20054Data](docs/InlineResponse20054Data.md)
 - [InlineResponse20055](docs/InlineResponse20055.md)
 - [InlineResponse20056](docs/InlineResponse20056.md)
 - [InlineResponse20056Data](docs/InlineResponse20056Data.md)
 - [InlineResponse20057](docs/InlineResponse20057.md)
 - [InlineResponse20057Data](docs/InlineResponse20057Data.md)
 - [InlineResponse20058](docs/InlineResponse20058.md)
 - [InlineResponse20059](docs/InlineResponse20059.md)
 - [InlineResponse20059Data](docs/InlineResponse20059Data.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [InlineResponse20060](docs/InlineResponse20060.md)
 - [InlineResponse20061](docs/InlineResponse20061.md)
 - [InlineResponse20062](docs/InlineResponse20062.md)
 - [InlineResponse20063](docs/InlineResponse20063.md)
 - [InlineResponse20064](docs/InlineResponse20064.md)
 - [InlineResponse20064Data](docs/InlineResponse20064Data.md)
 - [InlineResponse20065](docs/InlineResponse20065.md)
 - [InlineResponse20066](docs/InlineResponse20066.md)
 - [InlineResponse20067](docs/InlineResponse20067.md)
 - [InlineResponse20068](docs/InlineResponse20068.md)
 - [InlineResponse20068Data](docs/InlineResponse20068Data.md)
 - [InlineResponse20069](docs/InlineResponse20069.md)
 - [InlineResponse20069Data](docs/InlineResponse20069Data.md)
 - [InlineResponse2006Data](docs/InlineResponse2006Data.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [InlineResponse20070](docs/InlineResponse20070.md)
 - [InlineResponse20070Data](docs/InlineResponse20070Data.md)
 - [InlineResponse20071](docs/InlineResponse20071.md)
 - [InlineResponse20071Data](docs/InlineResponse20071Data.md)
 - [InlineResponse20072](docs/InlineResponse20072.md)
 - [InlineResponse20072Data](docs/InlineResponse20072Data.md)
 - [InlineResponse20073](docs/InlineResponse20073.md)
 - [InlineResponse20073Data](docs/InlineResponse20073Data.md)
 - [InlineResponse20074](docs/InlineResponse20074.md)
 - [InlineResponse20075](docs/InlineResponse20075.md)
 - [InlineResponse2007Data](docs/InlineResponse2007Data.md)
 - [InlineResponse2008](docs/InlineResponse2008.md)
 - [InlineResponse2008Data](docs/InlineResponse2008Data.md)
 - [InlineResponse2009](docs/InlineResponse2009.md)
 - [InlineResponse2009Data](docs/InlineResponse2009Data.md)
 - [InlineResponse201](docs/InlineResponse201.md)
 - [InlineResponse2011](docs/InlineResponse2011.md)
 - [InlineResponse2011Data](docs/InlineResponse2011Data.md)
 - [ListGroupListGroupIdBody](docs/ListGroupListGroupIdBody.md)
 - [ListGroupListGroupIdBody1](docs/ListGroupListGroupIdBody1.md)
 - [MarketingAddCampaignBody](docs/MarketingAddCampaignBody.md)
 - [MarketingAddContactBody](docs/MarketingAddContactBody.md)
 - [MarketingAddContactsBody](docs/MarketingAddContactsBody.md)
 - [MarketingAddListBody](docs/MarketingAddListBody.md)
 - [MarketingCampaignScheduleBody](docs/MarketingCampaignScheduleBody.md)
 - [MarketingSuppressBody](docs/MarketingSuppressBody.md)
 - [Message](docs/Message.md)
 - [OneOfReportResponseRowsItems](docs/OneOfReportResponseRowsItems.md)
 - [ReportResponse](docs/ReportResponse.md)
 - [SM3CSVResponse](docs/SM3CSVResponse.md)
 - [SM3Campaign](docs/SM3Campaign.md)
 - [SM3CampaignPOSTBody](docs/SM3CampaignPOSTBody.md)
 - [SM3CampaignPUTBody](docs/SM3CampaignPUTBody.md)
 - [SM3Contact](docs/SM3Contact.md)
 - [SM3ContactPOSTBody](docs/SM3ContactPOSTBody.md)
 - [SM3ContactPOSTBodyDerived](docs/SM3ContactPOSTBodyDerived.md)
 - [SM3ContactPUTBody](docs/SM3ContactPUTBody.md)
 - [SM3CustomField](docs/SM3CustomField.md)
 - [SM3List](docs/SM3List.md)
 - [SM3ListBase](docs/SM3ListBase.md)
 - [SM3ListBody](docs/SM3ListBody.md)
 - [SecureForm](docs/SecureForm.md)
 - [SecureFormDbRow](docs/SecureFormDbRow.md)
 - [SecureFormDbRowFiles_](docs/SecureFormDbRowFiles_.md)
 - [SecurelineRecipientsBody](docs/SecurelineRecipientsBody.md)
 - [SecurelineSendBody](docs/SecurelineSendBody.md)
 - [Server](docs/Server.md)
 - [ServerIdSendingRateBody](docs/ServerIdSendingRateBody.md)
 - [StringOrNumber](docs/StringOrNumber.md)
 - [Suppression](docs/Suppression.md)
 - [Template](docs/Template.md)
 - [TemplateGroupTemplateGroupIdBody](docs/TemplateGroupTemplateGroupIdBody.md)
 - [TemplateGroupTemplateGroupIdBody1](docs/TemplateGroupTemplateGroupIdBody1.md)
 - [UpdateCampaignIdBody](docs/UpdateCampaignIdBody.md)
 - [UpdateContactEmailBody](docs/UpdateContactEmailBody.md)
 - [UpdateContactRequestBody](docs/UpdateContactRequestBody.md)
 - [UpdateListIdBody](docs/UpdateListIdBody.md)
 - [UserUsernameBody](docs/UserUsernameBody.md)
 - [UsernameFieldsBody](docs/UsernameFieldsBody.md)
 - [UsernamePasswordBody](docs/UsernamePasswordBody.md)
 - [UsernamePasswordBody1](docs/UsernamePasswordBody1.md)
 - [UsernameProfileBody](docs/UsernameProfileBody.md)
 - [UsernameRenameBody](docs/UsernameRenameBody.md)
 - [UsersUsernameBody](docs/UsersUsernameBody.md)
 - [UsersUsernameBody1](docs/UsersUsernameBody1.md)
 - [UserusernameemailsendJson](docs/UserusernameemailsendJson.md)
 - [UserusernameemailsendJsonMessage](docs/UserusernameemailsendJsonMessage.md)
 - [UserusernameemailsendJsonMessages](docs/UserusernameemailsendJsonMessages.md)
 - [WebAide](docs/WebAide.md)
 - [WebaideIdEntryIdBody](docs/WebaideIdEntryIdBody.md)
 - [WebaideTypeWebaideIdBody](docs/WebaideTypeWebaideIdBody.md)
 - [WebaidesWebaideTypeBody](docs/WebaidesWebaideTypeBody.md)


## Recommendation

It's recommended to create an instance of `ApiClient` per thread in a multithreaded environment to avoid any potential issues.

