# ContentLibraryApi

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*, unless a hostname is provided ([see README](../README.md#documentation-for-api-endpoints))

Method | HTTP request | Description
------------- | ------------- | -------------
[**createContentLibraryDirectory**](ContentLibraryApi.md#createContentLibraryDirectory) | **PUT** /user/{username}/content_library/{directory} | 
[**deleteContentLibraryDirectory**](ContentLibraryApi.md#deleteContentLibraryDirectory) | **DELETE** /user/{username}/content_library/{directory} | 
[**deleteContentLibraryFile**](ContentLibraryApi.md#deleteContentLibraryFile) | **DELETE** /user/{username}/content_library/{file_path} | 
[**getContentLibraryDirectory**](ContentLibraryApi.md#getContentLibraryDirectory) | **GET** /user/{username}/content_library/{directory} | 
[**getContentLibraryFile**](ContentLibraryApi.md#getContentLibraryFile) | **GET** /user/{username}/content_library/{file_path} | 
[**uploadContentLibraryFile**](ContentLibraryApi.md#uploadContentLibraryFile) | **PUT** /user/{username}/content_library/{file_path} | 

<a name="createContentLibraryDirectory"></a>
# **createContentLibraryDirectory**
> InlineResponse201 createContentLibraryDirectory(username, directory, cookie)



Create a new Content Library directory.  {{ACL: User Email: Content Library}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.ContentLibraryApi;


ContentLibraryApi apiInstance = new ContentLibraryApi();
String username = "username_example"; // String | 
String directory = "directory_example"; // String | Starting with the / following /content_library, this is the directory in {username} to create. This directory must not exist and, if it is a subdirectory, the parent directories must all exist.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.createContentLibraryDirectory(username, directory, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ContentLibraryApi#createContentLibraryDirectory");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **directory** | **String**| Starting with the / following /content_library, this is the directory in {username} to create. This directory must not exist and, if it is a subdirectory, the parent directories must all exist. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteContentLibraryDirectory"></a>
# **deleteContentLibraryDirectory**
> InlineResponse201 deleteContentLibraryDirectory(username, directory, cookie)



Delete an empty Content Library directory.  {{ACL: User Email: Content Library}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.ContentLibraryApi;


ContentLibraryApi apiInstance = new ContentLibraryApi();
String username = "username_example"; // String | 
String directory = "directory_example"; // String | Starting with the / following /content_library, this is the directory in {username} to create. This directory must not exist and, if it is a subdirectory, the parent directories must all exist.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.deleteContentLibraryDirectory(username, directory, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ContentLibraryApi#deleteContentLibraryDirectory");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **directory** | **String**| Starting with the / following /content_library, this is the directory in {username} to create. This directory must not exist and, if it is a subdirectory, the parent directories must all exist. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteContentLibraryFile"></a>
# **deleteContentLibraryFile**
> InlineResponse201 deleteContentLibraryFile(username, filePath, cookie)



Delete a file.  {{ACL: User Email: Content Library}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.ContentLibraryApi;


ContentLibraryApi apiInstance = new ContentLibraryApi();
String username = "username_example"; // String | 
String filePath = "filePath_example"; // String | Required. Starting with the / following /content_library, this is the path of the file in {username} to delete.  The path must not end in a training slash. Be sure to not use double slashes.  Example: \"/files/media/image.jpg\".
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.deleteContentLibraryFile(username, filePath, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ContentLibraryApi#deleteContentLibraryFile");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **filePath** | **String**| Required. Starting with the / following /content_library, this is the path of the file in {username} to delete.  The path must not end in a training slash. Be sure to not use double slashes.  Example: \&quot;/files/media/image.jpg\&quot;. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getContentLibraryDirectory"></a>
# **getContentLibraryDirectory**
> InlineResponse20045 getContentLibraryDirectory(username, directory, cookie)



Retrieve details about the specific Content Library directory. {{ACL: User Email: Content Library}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.ContentLibraryApi;


ContentLibraryApi apiInstance = new ContentLibraryApi();
String username = "username_example"; // String | 
String directory = "directory_example"; // String | Starting with the / following /content_library, this is the directory in {username} to examine.  The path must end in a training slash. Be sure to not use double slashes.  Note, for example, that for directory \"/files/media/\" you would insert \"files/media/\" in this variable. If this value is omitted, the contents of the top-level directory will be returned.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20045 result = apiInstance.getContentLibraryDirectory(username, directory, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ContentLibraryApi#getContentLibraryDirectory");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **directory** | **String**| Starting with the / following /content_library, this is the directory in {username} to examine.  The path must end in a training slash. Be sure to not use double slashes.  Note, for example, that for directory \&quot;/files/media/\&quot; you would insert \&quot;files/media/\&quot; in this variable. If this value is omitted, the contents of the top-level directory will be returned. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20045**](InlineResponse20045.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getContentLibraryFile"></a>
# **getContentLibraryFile**
> InlineResponse20046 getContentLibraryFile(username, filePath, cookie)



Retrieve details about the specific Content Library file.  {{ACL: User Email: Content Library}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.ContentLibraryApi;


ContentLibraryApi apiInstance = new ContentLibraryApi();
String username = "username_example"; // String | 
String filePath = "filePath_example"; // String | Required. Starting with the / following /content_library, this is the path of the file in {username}.  The path must not end in a training slash. Be sure to not use double slashes.  Example: \"/files/media/image.jpg\".
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20046 result = apiInstance.getContentLibraryFile(username, filePath, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ContentLibraryApi#getContentLibraryFile");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **filePath** | **String**| Required. Starting with the / following /content_library, this is the path of the file in {username}.  The path must not end in a training slash. Be sure to not use double slashes.  Example: \&quot;/files/media/image.jpg\&quot;. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20046**](InlineResponse20046.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="uploadContentLibraryFile"></a>
# **uploadContentLibraryFile**
> InlineResponse20046 uploadContentLibraryFile(username, filePath, body, cookie)



Upload a new file to the Content Library.  {{ACL: User Email: Content Library}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.ContentLibraryApi;


ContentLibraryApi apiInstance = new ContentLibraryApi();
String username = "username_example"; // String | 
String filePath = "filePath_example"; // String | Required. Starting with the / following /content_library, this is the path in {username} to place the file.  The path must not end in a training slash. Be sure to not use double slashes. Example: \"files/media/image.jpg\".
ContentLibraryFilePathBody body = new ContentLibraryFilePathBody(); // ContentLibraryFilePathBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20046 result = apiInstance.uploadContentLibraryFile(username, filePath, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ContentLibraryApi#uploadContentLibraryFile");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**|  |
 **filePath** | **String**| Required. Starting with the / following /content_library, this is the path in {username} to place the file.  The path must not end in a training slash. Be sure to not use double slashes. Example: \&quot;files/media/image.jpg\&quot;. |
 **body** | [**ContentLibraryFilePathBody**](ContentLibraryFilePathBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20046**](InlineResponse20046.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

