# MarketingApi

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*, unless a hostname is provided ([see README](../README.md#documentation-for-api-endpoints))

Method | HTTP request | Description
------------- | ------------- | -------------
[**addMarketingCampaign**](MarketingApi.md#addMarketingCampaign) | **POST** /account/{accountId}/marketing/addCampaign | 
[**addMarketingContact**](MarketingApi.md#addMarketingContact) | **POST** /account/{accountId}/marketing/addContact | 
[**addMarketingContacts**](MarketingApi.md#addMarketingContacts) | **POST** /account/{accountId}/marketing/addContacts | 
[**addMarketingList**](MarketingApi.md#addMarketingList) | **POST** /account/{accountId}/marketing/addList | 
[**addNewMarketingSuppression**](MarketingApi.md#addNewMarketingSuppression) | **POST** /account/{accountId}/marketing/suppress | 
[**deleteMarketingCampaign**](MarketingApi.md#deleteMarketingCampaign) | **DELETE** /account/{accountId}/marketing/deleteCampaign/{id} | 
[**deleteMarketingContactById**](MarketingApi.md#deleteMarketingContactById) | **DELETE** /account/{accountId}/marketing/deleteContact/{id} | 
[**deleteMarketingList**](MarketingApi.md#deleteMarketingList) | **DELETE** /account/{accountId}/marketing/deleteList/{id} | 
[**deleteMarketingListGroup**](MarketingApi.md#deleteMarketingListGroup) | **DELETE** /account/{accountId}/deleteListGroup/{id} | 
[**deleteMarketingSuppression**](MarketingApi.md#deleteMarketingSuppression) | **DELETE** /account/{accountId}/marketing/deleteSuppressed/{type} | 
[**getMarketingCampaignBouncedStatistics**](MarketingApi.md#getMarketingCampaignBouncedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsBounced/{schedule_id} | 
[**getMarketingCampaignClickedStatistics**](MarketingApi.md#getMarketingCampaignClickedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsClicked/{schedule_id} | 
[**getMarketingCampaignGroups**](MarketingApi.md#getMarketingCampaignGroups) | **GET** /account/{accountId}/marketing/getMarketingCampaignGroups | 
[**getMarketingCampaignOpenedStatistics**](MarketingApi.md#getMarketingCampaignOpenedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsOpened/{schedule_id} | 
[**getMarketingCampaignStatisticsSummary**](MarketingApi.md#getMarketingCampaignStatisticsSummary) | **GET** /account/{accountId}/marketing/getCampaignStatsSummary/{schedule_id} | 
[**getMarketingCampaignUnsubscribedStatistics**](MarketingApi.md#getMarketingCampaignUnsubscribedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsUnsubscribed/{schedule_id} | 
[**getMarketingCampaigns**](MarketingApi.md#getMarketingCampaigns) | **GET** /account/{accountId}/marketing/getCampaigns | 
[**getMarketingContactById**](MarketingApi.md#getMarketingContactById) | **GET** /account/{accountId}/marketing/getContact/{id} | 
[**getMarketingContacts**](MarketingApi.md#getMarketingContacts) | **GET** /account/{accountId}/marketing/getContacts | 
[**getMarketingListGroups**](MarketingApi.md#getMarketingListGroups) | **GET** /account/{accountId}/marketing/getMarketingListGroups | 
[**getMarketingLists**](MarketingApi.md#getMarketingLists) | **GET** /account/{accountId}/marketing/getLists | 
[**getMarketingScheduledCampaigns**](MarketingApi.md#getMarketingScheduledCampaigns) | **GET** /account/{accountId}/marketing/getMarketingScheduledCampaigns | 
[**getMarketingSuppressions**](MarketingApi.md#getMarketingSuppressions) | **GET** /account/{accountId}/marketing/getSuppressed | 
[**markContactAsUnsubscribed**](MarketingApi.md#markContactAsUnsubscribed) | **PUT** /account/{accountId}/markAsUnsubscribed/{id} | 
[**scheduleMarketingCampaign**](MarketingApi.md#scheduleMarketingCampaign) | **POST** /account/{accountId}/marketing/campaignSchedule | 
[**updateMarketingCampaign**](MarketingApi.md#updateMarketingCampaign) | **PUT** /account/{accountId}/marketing/updateCampaign/{id} | 
[**updateMarketingContactByEmail**](MarketingApi.md#updateMarketingContactByEmail) | **PUT** /account/{accountId}/marketing/updateContact/{email} | 
[**updateMarketingContactById**](MarketingApi.md#updateMarketingContactById) | **PUT** /account/{accountId}/marketing/updateContact/{id} | 
[**updateMarketingList**](MarketingApi.md#updateMarketingList) | **PUT** /account/{accountId}/marketing/updateList/{id} | 

<a name="addMarketingCampaign"></a>
# **addMarketingCampaign**
> InlineResponse20052 addMarketingCampaign(accountId, body, cookie)



Create a new email broadcast campaign. {{ACL: Marketing - Campaign Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
MarketingAddCampaignBody body = new MarketingAddCampaignBody(); // MarketingAddCampaignBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20052 result = apiInstance.addMarketingCampaign(accountId, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#addMarketingCampaign");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **body** | [**MarketingAddCampaignBody**](MarketingAddCampaignBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addMarketingContact"></a>
# **addMarketingContact**
> InlineResponse20049 addMarketingContact(accountId, body, cookie)



Add New Contact. {{ACL: Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
MarketingAddContactBody body = new MarketingAddContactBody(); // MarketingAddContactBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20049 result = apiInstance.addMarketingContact(accountId, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#addMarketingContact");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **body** | [**MarketingAddContactBody**](MarketingAddContactBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addMarketingContacts"></a>
# **addMarketingContacts**
> InlineResponse2003 addMarketingContacts(accountId, body, cookie)



Add New Contacts. {{ACL: Marketing - Contact Management}}  This is a bulk wrapper around addContact.  You specify multiple contacts in the contacts list element.  The response contains a list of API response call results for each API add request.  Use of addContacts is the same as calling addContact multiple times; however, it is somewhat more efficient.

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
MarketingAddContactsBody body = new MarketingAddContactsBody(); // MarketingAddContactsBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse2003 result = apiInstance.addMarketingContacts(accountId, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#addMarketingContacts");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **body** | [**MarketingAddContactsBody**](MarketingAddContactsBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addMarketingList"></a>
# **addMarketingList**
> InlineResponse20047 addMarketingList(accountId, body, cookie)



Add New Contact List. {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
MarketingAddListBody body = new MarketingAddListBody(); // MarketingAddListBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20047 result = apiInstance.addMarketingList(accountId, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#addMarketingList");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **body** | [**MarketingAddListBody**](MarketingAddListBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20047**](InlineResponse20047.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addNewMarketingSuppression"></a>
# **addNewMarketingSuppression**
> InlineResponse20053 addNewMarketingSuppression(accountId, body, cookie)



Add New Suppression. {{ACL: Marketing - Suppression}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
MarketingSuppressBody body = new MarketingSuppressBody(); // MarketingSuppressBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20053 result = apiInstance.addNewMarketingSuppression(accountId, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#addNewMarketingSuppression");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **body** | [**MarketingSuppressBody**](MarketingSuppressBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20053**](InlineResponse20053.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="deleteMarketingCampaign"></a>
# **deleteMarketingCampaign**
> InlineResponse201 deleteMarketingCampaign(accountId, id, cookie)



Delete a Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer id = 56; // Integer | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.deleteMarketingCampaign(accountId, id, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#deleteMarketingCampaign");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **Integer**|  |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteMarketingContactById"></a>
# **deleteMarketingContactById**
> InlineResponse201 deleteMarketingContactById(accountId, id, cookie)



Delete Contact By ID. {{ACL: Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer id = 56; // Integer | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.deleteMarketingContactById(accountId, id, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#deleteMarketingContactById");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **Integer**|  |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteMarketingList"></a>
# **deleteMarketingList**
> InlineResponse201 deleteMarketingList(accountId, id, cookie)



Note: deleting a contact list will delete any contacts in that list. {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
String id = "id_example"; // String | List Id.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.deleteMarketingList(accountId, id, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#deleteMarketingList");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **String**| List Id. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteMarketingListGroup"></a>
# **deleteMarketingListGroup**
> InlineResponse201 deleteMarketingListGroup(accountId, id, cookie)



Note: deleting a contact list group will NOT delete any contact lists in that group; they will merely become unassociated with any group. {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
String id = "id_example"; // String | List group Id.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.deleteMarketingListGroup(accountId, id, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#deleteMarketingListGroup");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **String**| List group Id. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteMarketingSuppression"></a>
# **deleteMarketingSuppression**
> InlineResponse201 deleteMarketingSuppression(accountId, type, id, reference, cookie)



Delete Suppression. {{ACL: Marketing - Suppression}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
String type = "type_example"; // String | email, domain, ip Select type of suppression
Integer id = 56; // Integer | id of the suppressed entry
String reference = "reference_example"; // String | Select suppressed records according to this reference you want to delete
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.deleteMarketingSuppression(accountId, type, id, reference, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#deleteMarketingSuppression");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **type** | **String**| email, domain, ip Select type of suppression | [enum: email, domain, ip]
 **id** | **Integer**| id of the suppressed entry | [optional]
 **reference** | **String**| Select suppressed records according to this reference you want to delete | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignBouncedStatistics"></a>
# **getMarketingCampaignBouncedStatistics**
> InlineResponse20055 getMarketingCampaignBouncedStatistics(accountId, scheduleId, limitStart, limitCount, cookie)



Get Campaign bounced statistics.  {{ACL: Marketing - Statistics}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer scheduleId = 56; // Integer | Schedule id of schedule to get bounced stats
Integer limitStart = 0; // Integer | Starting row of result. Default: 0
Integer limitCount = 25; // Integer | Number of records to get. Default: 25
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20055 result = apiInstance.getMarketingCampaignBouncedStatistics(accountId, scheduleId, limitStart, limitCount, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingCampaignBouncedStatistics");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **scheduleId** | **Integer**| Schedule id of schedule to get bounced stats |
 **limitStart** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignClickedStatistics"></a>
# **getMarketingCampaignClickedStatistics**
> InlineResponse20055 getMarketingCampaignClickedStatistics(accountId, scheduleId, limitStart, limitCount, cookie)



Get Campaign email link clicked statistics.  {{ACL: Marketing - Statistics}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer scheduleId = 56; // Integer | Schedule id of schedule to get clicked stats
Integer limitStart = 0; // Integer | Starting row of result. Default: 0
Integer limitCount = 25; // Integer | Number of records to get. Default: 25
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20055 result = apiInstance.getMarketingCampaignClickedStatistics(accountId, scheduleId, limitStart, limitCount, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingCampaignClickedStatistics");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **scheduleId** | **Integer**| Schedule id of schedule to get clicked stats |
 **limitStart** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignGroups"></a>
# **getMarketingCampaignGroups**
> InlineResponse20055 getMarketingCampaignGroups(accountId, id, userId, limitStart, limitCount)



Get Campaign Groups.  {{ACL: Marketing - Campaign Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer id = 56; // Integer | id of the campaign group to fetch details for.
Integer userId = 56; // Integer | Get campaign groups of a particular user.
Integer limitStart = 0; // Integer | Starting row of result. Default: 0
Integer limitCount = 25; // Integer | Number of records to get. Default: 25
try {
    InlineResponse20055 result = apiInstance.getMarketingCampaignGroups(accountId, id, userId, limitStart, limitCount);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingCampaignGroups");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **Integer**| id of the campaign group to fetch details for. | [optional]
 **userId** | **Integer**| Get campaign groups of a particular user. | [optional]
 **limitStart** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignOpenedStatistics"></a>
# **getMarketingCampaignOpenedStatistics**
> InlineResponse20055 getMarketingCampaignOpenedStatistics(accountId, scheduleId, limitStart, limitCount, cookie)



Get Campaign email opened statistics.  {{ACL: Marketing - Statistics}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer scheduleId = 56; // Integer | Schedule id of schedule to get open stats
Integer limitStart = 0; // Integer | Starting row of result. Default: 0
Integer limitCount = 25; // Integer | Number of records to get. Default: 25
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20055 result = apiInstance.getMarketingCampaignOpenedStatistics(accountId, scheduleId, limitStart, limitCount, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingCampaignOpenedStatistics");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **scheduleId** | **Integer**| Schedule id of schedule to get open stats |
 **limitStart** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignStatisticsSummary"></a>
# **getMarketingCampaignStatisticsSummary**
> InlineResponse2003 getMarketingCampaignStatisticsSummary(accountId, scheduleId, cookie)



Get Campaign statistics summary. {{ACL: Marketing - Statistics}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
String scheduleId = "scheduleId_example"; // String | Schedule id of schedule to get its statatistics summary.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse2003 result = apiInstance.getMarketingCampaignStatisticsSummary(accountId, scheduleId, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingCampaignStatisticsSummary");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **scheduleId** | **String**| Schedule id of schedule to get its statatistics summary. |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignUnsubscribedStatistics"></a>
# **getMarketingCampaignUnsubscribedStatistics**
> InlineResponse20055 getMarketingCampaignUnsubscribedStatistics(accountId, scheduleId, limitStart, limitCount, cookie)



Get Campaign email unsubscribed statistics.  {{ACL: Marketing - Statistics}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer scheduleId = 56; // Integer | Schedule id of schedule to get unsubscribe stats
Integer limitStart = 0; // Integer | Starting row of result. Default: 0
Integer limitCount = 25; // Integer | Number of records to get. Default: 25
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20055 result = apiInstance.getMarketingCampaignUnsubscribedStatistics(accountId, scheduleId, limitStart, limitCount, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingCampaignUnsubscribedStatistics");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **scheduleId** | **Integer**| Schedule id of schedule to get unsubscribe stats |
 **limitStart** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaigns"></a>
# **getMarketingCampaigns**
> InlineResponse20052 getMarketingCampaigns(accountId, id, groupId, limitStart, limitCount, cookie)



This call allows you to retrieve details on your campaigns. {{ACL: Marketing - Campaign Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer id = 56; // Integer | Use if you want to restrict details to specific Campaign id. If left blank, all your campaigns’ details will be returned.
Integer groupId = 56; // Integer | Group id of the campaigns you want to get.
Integer limitStart = 0; // Integer | Starting row of result. Default: 0
Integer limitCount = 25; // Integer | Number of records to get. Default: 25
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20052 result = apiInstance.getMarketingCampaigns(accountId, id, groupId, limitStart, limitCount, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingCampaigns");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **Integer**| Use if you want to restrict details to specific Campaign id. If left blank, all your campaigns’ details will be returned. |
 **groupId** | **Integer**| Group id of the campaigns you want to get. |
 **limitStart** | **Integer**| Starting row of result. Default: 0 | [default to 0]
 **limitCount** | **Integer**| Number of records to get. Default: 25 | [default to 25]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingContactById"></a>
# **getMarketingContactById**
> InlineResponse20051 getMarketingContactById(accountId, id, fullDetails, cookie)



This function allows you to get the details for specific contact using his/her contact ID. {{ACL: Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer id = 56; // Integer | 
Integer fullDetails = 56; // Integer | If specified and set to 1, add contact details will be returned, including the values of all additional fields.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20051 result = apiInstance.getMarketingContactById(accountId, id, fullDetails, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingContactById");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **Integer**|  |
 **fullDetails** | **Integer**| If specified and set to 1, add contact details will be returned, including the values of all additional fields. | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20051**](InlineResponse20051.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingContacts"></a>
# **getMarketingContacts**
> InlineResponse20050 getMarketingContacts(accountId, listId, limitStart, limitCount, fullDetails, cookie)



This call permits you to get your contacts’ data from the system by specific list or in aggregate. None of the request body parameters are required, and if you leave them blank, the call will return all contacts’ data from all your lists. {{ACL: Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer listId = 56; // Integer | Contact list id for the contacts you want to get.
Integer limitStart = 0; // Integer | Starting row of result. Default: 0
Integer limitCount = 25; // Integer | Number of records to get. Default: 25
Integer fullDetails = 56; // Integer | If specified and set to 1, add contact details will be returned, including the values of all additional fields.
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20050 result = apiInstance.getMarketingContacts(accountId, listId, limitStart, limitCount, fullDetails, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingContacts");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **listId** | **Integer**| Contact list id for the contacts you want to get. |
 **limitStart** | **Integer**| Starting row of result. Default: 0 | [default to 0]
 **limitCount** | **Integer**| Number of records to get. Default: 25 | [default to 25]
 **fullDetails** | **Integer**| If specified and set to 1, add contact details will be returned, including the values of all additional fields. | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20050**](InlineResponse20050.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingListGroups"></a>
# **getMarketingListGroups**
> InlineResponse20055 getMarketingListGroups(accountId, id, userId, limitStart, limitCount)



Get Campaign List Groups.  {{ACL: Marketing - Campaign Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer id = 56; // Integer | id of the List Group to fetch details for.
Integer userId = 56; // Integer | Get list groups of a particular user.
Integer limitStart = 0; // Integer | Starting row of result. Default: 0
Integer limitCount = 25; // Integer | Number of records to get. Default: 25
try {
    InlineResponse20055 result = apiInstance.getMarketingListGroups(accountId, id, userId, limitStart, limitCount);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingListGroups");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **Integer**| id of the List Group to fetch details for. | [optional]
 **userId** | **Integer**| Get list groups of a particular user. | [optional]
 **limitStart** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingLists"></a>
# **getMarketingLists**
> InlineResponse20048 getMarketingLists(accountId, listId, groupId, cookie)



Return details about one or more specific Contact List(s). If you omit all parameters, all lists should be returned. {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer listId = 56; // Integer | List id for the specific contact list you want details for.
Integer groupId = 56; // Integer | Group id for all getting lists in a specific group
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20048 result = apiInstance.getMarketingLists(accountId, listId, groupId, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingLists");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **listId** | **Integer**| List id for the specific contact list you want details for. | [optional]
 **groupId** | **Integer**| Group id for all getting lists in a specific group | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20048**](InlineResponse20048.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingScheduledCampaigns"></a>
# **getMarketingScheduledCampaigns**
> InlineResponse20055 getMarketingScheduledCampaigns(accountId, id, userId, limitStart, limitCount, tStart, tEnd)



Get Scheduled Campaigns.  {{ACL: Marketing - Campaign Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
Integer id = 56; // Integer | id of the campaign to fetch details for.
Integer userId = 56; // Integer | Get campaigns of a particular user.
Integer limitStart = 25; // Integer | Number of records to get. Default: 25.
Integer limitCount = 25; // Integer | Number of records to get. Default: 25.
Integer tStart = 56; // Integer | The start time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss)
Integer tEnd = 56; // Integer | The end time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss)
try {
    InlineResponse20055 result = apiInstance.getMarketingScheduledCampaigns(accountId, id, userId, limitStart, limitCount, tStart, tEnd);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingScheduledCampaigns");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **Integer**| id of the campaign to fetch details for. | [optional]
 **userId** | **Integer**| Get campaigns of a particular user. | [optional]
 **limitStart** | **Integer**| Number of records to get. Default: 25. | [optional] [default to 25]
 **limitCount** | **Integer**| Number of records to get. Default: 25. | [optional] [default to 25]
 **tStart** | **Integer**| The start time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) | [optional]
 **tEnd** | **Integer**| The end time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) | [optional]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingSuppressions"></a>
# **getMarketingSuppressions**
> InlineResponse20054 getMarketingSuppressions(accountId, type, id, reference, limitStart, limitCount, cookie)



Get Suppressions. {{ACL: Marketing - Suppression}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
String type = "type_example"; // String | email, domain, ip Select type of suppression list you want to get
Integer id = 56; // Integer | id of the suppressed entry
String reference = "reference_example"; // String | Get suppressed records according to this reference
Integer limitStart = 0; // Integer | Starting row of result. Default: 0
Integer limitCount = 25; // Integer | Number of records to get. Default: 25
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20054 result = apiInstance.getMarketingSuppressions(accountId, type, id, reference, limitStart, limitCount, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#getMarketingSuppressions");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **type** | **String**| email, domain, ip Select type of suppression list you want to get | [enum: email, domain, ip]
 **id** | **Integer**| id of the suppressed entry | [optional]
 **reference** | **String**| Get suppressed records according to this reference | [optional]
 **limitStart** | **Integer**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Integer**| Number of records to get. Default: 25 | [optional] [default to 25]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20054**](InlineResponse20054.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="markContactAsUnsubscribed"></a>
# **markContactAsUnsubscribed**
> InlineResponse201 markContactAsUnsubscribed(accountId, id, cookie)



Changes a contact’s status to “unsubscribed.” This is more efficient than calling updateContact to make this change. {{ACL: Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
String id = "id_example"; // String | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse201 result = apiInstance.markContactAsUnsubscribed(accountId, id, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#markContactAsUnsubscribed");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **String**|  |
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="scheduleMarketingCampaign"></a>
# **scheduleMarketingCampaign**
> InlineResponse2003 scheduleMarketingCampaign(accountId, body, cookie)



Schedule Campaign. {{ACL: Marketing - Scheduling}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
MarketingCampaignScheduleBody body = new MarketingCampaignScheduleBody(); // MarketingCampaignScheduleBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse2003 result = apiInstance.scheduleMarketingCampaign(accountId, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#scheduleMarketingCampaign");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **body** | [**MarketingCampaignScheduleBody**](MarketingCampaignScheduleBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateMarketingCampaign"></a>
# **updateMarketingCampaign**
> InlineResponse20052 updateMarketingCampaign(accountId, id, body, cookie)



Update a Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
String id = "id_example"; // String | 
UpdateCampaignIdBody body = new UpdateCampaignIdBody(); // UpdateCampaignIdBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20052 result = apiInstance.updateMarketingCampaign(accountId, id, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#updateMarketingCampaign");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **String**|  |
 **body** | [**UpdateCampaignIdBody**](UpdateCampaignIdBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateMarketingContactByEmail"></a>
# **updateMarketingContactByEmail**
> InlineResponse20049 updateMarketingContactByEmail(accountId, email, body, cookie)



Update the details, including custom field values, of contacts with the specified email address. {{ACL: Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
String email = "email_example"; // String | 
UpdateContactEmailBody body = new UpdateContactEmailBody(); // UpdateContactEmailBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20049 result = apiInstance.updateMarketingContactByEmail(accountId, email, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#updateMarketingContactByEmail");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **email** | **String**|  |
 **body** | [**UpdateContactEmailBody**](UpdateContactEmailBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateMarketingContactById"></a>
# **updateMarketingContactById**
> InlineResponse20049 updateMarketingContactById(accountId, id, body, cookie)



Update the details, including custom field values, of a contact, using their contact ID. {{ACL: Marketing - Contact Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
String id = "id_example"; // String | 
UpdateContactRequestBody body = new UpdateContactRequestBody(); // UpdateContactRequestBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20049 result = apiInstance.updateMarketingContactById(accountId, id, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#updateMarketingContactById");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **String**|  |
 **body** | [**UpdateContactRequestBody**](UpdateContactRequestBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateMarketingList"></a>
# **updateMarketingList**
> InlineResponse20047 updateMarketingList(accountId, id, body, cookie)



Update information for existing Contact Lists such as From Name or From Address. This can also be used to assign custom fields to specific lists, but the custom field must exist in the platform in advance. Return contact information and other general metadata for the user. {{ACL: Marketing - List Management}}

### Example
```java
// Import classes:
//import com.luxsci.ApiException;
//import com.luxsci.api.MarketingApi;


MarketingApi apiInstance = new MarketingApi();
String accountId = "accountId_example"; // String | 
String id = "id_example"; // String | List Id.
UpdateListIdBody body = new UpdateListIdBody(); // UpdateListIdBody | 
String cookie = null; // String (optional. can leave as null) | 
try {
    InlineResponse20047 result = apiInstance.updateMarketingList(accountId, id, body, cookie);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling MarketingApi#updateMarketingList");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  |
 **id** | **String**| List Id. |
 **body** | [**UpdateListIdBody**](UpdateListIdBody.md)|  | [optional]
 **cookie** | **String**|  | [optional]

### Return type

[**InlineResponse20047**](InlineResponse20047.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

